/*******************************************************************
  Components for embedded applications builded for
  laboratory and medical instruments firmware  (COLAMI)
 
  drvsupport.h - generic support routines for drivers writing
 
  Copyright holders and project originators
    (C) 2001-2004 by Pavel Pisa pisa@cmp.felk.cvut.cz
    (C) 2002-2004 by PiKRON Ltd. http://www.pikron.com

 The COLAMI components can be used and copied under next licenses
   - MPL - Mozilla Public License
   - GPL - GNU Public License
   - LGPL - Lesser GNU Public License
   - and other licenses added by project originators
 Code can be modified and re-distributed under any combination
 of the above listed licenses. If contributor does not agree with
 some of the licenses, he can delete appropriate line.
 Warning, if you delete all lines, you are not allowed to
 distribute code or build project.
 *******************************************************************/

#ifndef _DRVSUPPORT_H
#define _DRVSUPPORT_H

#include <rtems.h>
#include <irq.h>

void drvsup_mx1_isr_on(const rtems_irq_connect_data *isr_data);
void drvsup_mx1_isr_off(const rtems_irq_connect_data *isr_data);
int drvsup_mx1_isr_is_on(const rtems_irq_connect_data *isr_data);
int drvsup_request_irq(rtems_irq_number irq_num, rtems_irq_hdl irq_handler,
			unsigned options, char *name, rtems_irq_hdl_param data);

#endif /*_DRVSUPPORT_H*/
